Bug 1870667 - [MSTR-1019] oc logout fails to invalidate the token since the request deletes token value instead of oauthaccesstoken name
Summary: [MSTR-1019] oc logout fails to invalidate the token since the request deletes...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Maciej Szulik
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1868324
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-20 14:55 UTC by OpenShift BugZilla Robot
Modified: 2020-09-08 10:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-08 10:54:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 525 None closed Bug 1870667: oc logout should make the token invalid 2020-08-31 02:30:03 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:15 UTC

Comment 1 Maciej Szulik 2020-08-21 11:39:58 UTC
This bug is actively worked on, the PR is already in the queue.

Comment 4 Xingxing Xia 2020-08-31 03:24:58 UTC
Against 4.6 server, using original steps, verified with 4.5 oc:
$ ~/bin/4.5/oc version --client
Client Version: 4.5.0-0.nightly-2020-08-29-080432

Comment 6 errata-xmlrpc 2020-09-08 10:54:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.